- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- PhysicsBody
- Qt Quick 3D Physics | Commercial or GPLv3

# PhysicsBody QML Type

Base type for physics bodies. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherits: | CollisionNode
Inherited By: | CharacterController, DynamicRigidBody, and StaticRigidBody

- List of all members, including inherited members

## Properties

- physicsMaterial : PhysicsMaterial

## Detailed Description

This is the base type for all physics bodies.

## Property Documentation

physicsMaterial : PhysicsMaterial

This property defines the physical material of the body